Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988585 - Shutdown and restart lock up when laptop lid closed and external monitor in use
Summary: Shutdown and restart lock up when laptop lid closed and external monitor in use
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-25 22:11 UTC by Karl
Modified: 2014-02-05 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:11:06 UTC


Attachments (Terms of Use)

Description Karl 2013-07-25 22:11:09 UTC
Description of problem:
When a laptop is connected to an external monitor, the laptop's lid is closed, and the user issues a shutdown or restart through the Gnome Shell menu, the computer locks up.

Version-Release number of selected component (if applicable):
Gnome 3.6.3

How reproducible:
Easily

Steps to Reproduce:
1. Boot laptop, log in
2. Connect external monitor
3. Shut laptop lid
4. Use external keyboard/mouse to "wake up" the external monitor
5. Go to user menu (upper right), select "Power Off" (or "Restart")

Actual results:
Gnome exits to the GDM login screen, but does not shut off (restart).  It also won't shut down or restart from the GDM menu in the upper right.  The only ways to shut it off (or restart) are to use CTRL-F2 or similar to get a text-mode shell, then issue "shutdown -h now" or "shutdown -r now".  You can also, of course, hold the power button in until the computer shuts itself off.

Expected results:
System shuts off (or restarts)

Additional info:
I have the Alternative Status Menu shell extension enabled.

Comment 1 Karl 2013-09-14 02:48:24 UTC
Using Linux 3.10.10-100.fc18.x86_64, this bug has changed slightly; instead of locking up, it goes to sleep instead of shutting off.  When woken, the display is dimmed.  The laptop lid must still be open to shut the laptop off.

Comment 2 Fedora End Of Life 2013-12-21 14:23:12 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 22:11:06 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.